Skip to main content
Resource Center/Network Service/Network Service Operations/NetFlow APIs

QueryFlowMeter

QueryFlowMeter

GET/zstack/v1/flowmeters
GET/zstack/v1/flowmeters/{uuid}

Operation ID

QueryFlowMeter

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • sample
      LongRequired

      The sample rate of the flow meter.

    • expireInterval
      LongRequired

      The expiration interval of the flow.

    • version
      StringRequired

      The version of the flow meter protocol.

    • type
      StringRequired

      The type of the flow meter protocol.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • collectors
      ListRequired

      See collectors

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        String

        Optional. The detailed description of the resource.

      • flowMeterUuid
        StringRequired

        The flow meter UUID.

      • server
        StringRequired

        The IP address of the flow collector.

      • port
        LongRequired

        The UDP port of the flow collector.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

    • networkRefs
      ListRequired

      See networkRefs

      • uuid
        StringRequired

        The resource UUID.

      • vRouterUuid
        StringRequired

        The vRouter UUID.

      • flowMeterUuid
        StringRequired

        The flow meter UUID.

      • l3NetworkUuid
        StringRequired

        The L3 network UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.